invalidate_inode_pages2
Prev | More Memory Management Functions | Next

## Name

invalidate_inode_pages2 — remove all pages from an address_space

## Synopsis

`int invalidate_inode_pages2 (` | struct address_space * | mapping`)`;

## Arguments

`mapping`

  the address_space

## Description

Any pages which are found to be mapped into pagetables are unmapped prior to invalidation.

Returns -EIO if any pages could not be invalidated.

Prev | Up | Next
invalidate_inode_pages2_range | Home | Chapter 6. Kernel IPC facilities